﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Untitled Page</title>
    <style type="text/css">
    
    th.GridHeader_Sunset,
    th.ResizeHeader_Sunset,
    tr.GridFilterRow_Sunset td,
    tr.GridRow_Sunset td,
    tr.GridAltRow_Sunset td
    {
      
        border-left:1px solid black;
        border-bottom:1px solid black;
    }
              
    
    </style>

    <script type="text/javascript" language="javascript">     
            
      function filterMenuShowing(sender, eventArgs)
       {
           var menu = eventArgs.get_menu();
           var items = menu.get_items();
          
     
           if (eventArgs.get_column().get_uniqueName() == "HireDate")
           {
               var i = 0;
               while (i < items.get_count())
               {
                   if (items.getItem(i).get_value() != "GreaterThan" && items.getItem(i).get_value() != "EqualTo" && items.getItem(i).get_value() != "LessThan") {
                       var item = items.getItem(i);
                       if (item != null)
                           item.get_element().style.display = "none";
                   }
                   i++;
               }
           }
           else
           {            
               var i = 0;

               while (i < items.get_count())
               {
                   var item = items.getItem(i);
                   if (item != null)
                       item.get_element().style.display = "";
                   i++;
               }
           }
       }
    </script>

</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
        <div>
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:ConnectionString %>"
                SelectCommand="SELECT [EmployeeID], [LastName], [FirstName], convert(datetime,convert(char(10),HireDate,101)) as [HireDate] FROM [Employees]">
            </asp:SqlDataSource>
            <telerik:RadGrid ID="RadGrid1" runat="server" GridLines="None" DataSourceID="SqlDataSource1"
                Skin="Sunset">
                <MasterTableView AutoGenerateColumns="False" AllowFilteringByColumn="true" DataKeyNames="EmployeeID"
                    DataSourceID="SqlDataSource1">
                    <Columns>
                        <telerik:GridBoundColumn DataField="EmployeeID" DataType="System.Int32" HeaderText="EmployeeID"
                            ReadOnly="True" SortExpression="EmployeeID" UniqueName="EmployeeID">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="LastName" HeaderText="LastName" SortExpression="LastName"
                            UniqueName="LastName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="FirstName" HeaderText="FirstName" SortExpression="FirstName"
                            UniqueName="FirstName">
                        </telerik:GridBoundColumn>
                        <telerik:GridBoundColumn DataField="HireDate" DataType="System.DateTime" DataFormatString="{0:MM/dd/yyyy}" HeaderText="HireDate"
                            SortExpression="HireDate" UniqueName="HireDate" >
                        </telerik:GridBoundColumn>                       
                    </Columns>
                </MasterTableView>
                <ClientSettings>
                    <ClientEvents OnFilterMenuShowing="filterMenuShowing" />
                </ClientSettings>
            </telerik:RadGrid>&nbsp;
        </div>
    </form>
</body>
</html>
